Overview

Yii Bootstrap 3 Extension

Latest Stable Version 0.0.9

Montly Downloads Montly Downloads
Total Downloads Total Downloads

Demo-Page

Class Reference

Demo-Page-Example Bitbucket

Changes

Code

Bitbucket

Download here the bootstrap package.

Append in Your Layout:

<?php
$cs = Yii::app()->clientScript;
$themePath = Yii::app()->theme->baseUrl;

/**
 * StyleSHeets
 */
$cs
    ->registerCssFile($themePath.'/assets/css/bootstrap.css')
    ->registerCssFile($themePath.'/assets/css/bootstrap-theme.css');

/**
 * JavaScripts
 */
$cs
    ->registerCoreScript('jquery',CClientScript::POS_END)
    ->registerCoreScript('jquery.ui',CClientScript::POS_END)
    ->registerScriptFile($themePath.'/assets/js/bootstrap.min.js',CClientScript::POS_END)

    ->registerScript('tooltip',
        "$('[data-toggle=\"tooltip\"]').tooltip();
        $('[data-toggle=\"popover\"]').tooltip()"
        ,CClientScript::POS_READY);

?>
<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
    <script src="<?php echo Yii::app()->theme->baseUrl ?>/assets/js/html5shiv.js"></script>
    <script src="<?php echo Yii::app()->theme->baseUrl ?>/assets/js/respond.min.js"></script>
<![endif]-->

Download the Extension

Extension Move the Package to your

protected/extensions/

Folder or install with Composer

Packagist

"drmabuse/yii-bootstrap-3-module": "dev-master"
  • Set up Git by following the instructions here.
  • Update the configurations in app/config/ to suit your needs. The common/config/main.php is configured to use sqllite by default. Change your common/config/env/dev.php to suit your database requirements.
  • Composer is required The package includes already a composer.phar file.
  • Browse through the composer.json and remove the dependencies you don't need also update the required versions of the extensions.
  • If you have composer installed globally:
    • Run composer self-update to make sure you have the latest version of composer.
    • Run composer install to download all the dependencies.
  • If you work the composer.phar library within the project boilerplate.
    • Run php composer.phar self-update to make sure you have the latest version of composer.
    • Run php composer.phar install to download all the dependencies.

Configure

configure

config/main.php

with

<?php
'aliases' => array(
    'bootstrap' => 'ext.bootstrap',
),
'import'=>array(
    ...
    'bootstrap.behaviors.*',
    'bootstrap.helpers.*',
    'bootstrap.widgets.*'
),
'modules' => array(
    ...
    'gii' => array(
        ...
        'generatorPaths' => array('bootstrap.gii'),
    ),
),
'components' => array(
    ...
    'bootstrap' => array(
        'class' => 'bootstrap.components.BsApi'
    ),
)

Full Config Example